0

So my nixos-rebuild fails to build due to the recent error of: https://github.com/NixOS/nixpkgs/issues/74916

I thought I'd give a go at trying to fix this, by referencing a previous commit's package

I added the following in my config (under one of the let statements):

  nixpkgsMyStable = import (builtins.fetchTarball {
    url = https://github.com/NixOS/nixpkgs/archive/775fb69ed73e7cf6b7d3dd9853a60f40e8efc340.tar.gz;
    sha256 = "1w068b0ydw4c26mcjiwlzdfqcdk3rrwmfx4hxzgfhfwcz2nmh3if";
  }) {};

I then replaced:

  boot.kernelPackages = pkgs.linuxPackages_latest;

with

  boot.kernelPackages = nixpkgsMyStable.pkgs.linuxPackages_latest;

However this fails with:

sudo nixos-rebuild switch
building Nix...
building the system configuration...
error: assertion failed at /nix/store/0272yl38a4mc20i2a5078m85bldipbjm-source/pkgs/os-specific/linux/prl-tools/default.nix:9:1
(use '--show-trace' to show detailed location information)

Is this possibly something to do with the newest kernel version? Or something I'm doing wrong in the above config?

1

Looking at the source code where the assertion fails, newer kernels are not supported by prl-tools:

# Disable for kernels 4.15 and above due to compatibility issues
assert kernel != null -> stdenv.lib.versionOlder kernel.version "4.15";

So Parallels is probably not compatible with latest kernel.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.